.. _menu_items:

==========
Menu Items
==========

The following are the menu items that are listed across the top of OpenLP.
There is a brief description or link for their intended purpose.

File
----

|buttons_new| **New:** 
    Creates a new service. :ref:`new_service`

|buttons_open| **Open:** 
    Load an existing service. :ref:`new_service`

|buttons_save| **Save:** 
    Saves your existing loaded service.

**Save As:** 
    Saves your newly created service.

**Recent Files:** 
    Displays your last files opened configurable here. :ref:`configure_ui`

  **Clear List:** 
    Clears your recent files list.

**Import:** 
  This provides the items you can import.

  **Settings:** 
    Import your configurable settings from another computer. Learn more about 
    :ref:`backing_up`.

  **Theme:** 
    Import a theme that has been previously exported. :ref:`import_themes`

  **Song:** 
    Import your songs previously exported. :ref:`import_songs`

  **CCLI SongSelect:** 
    Import your songs from CCLI SongSelect. :ref:`import_songs`

  **Bible:** 
    Import Bibles from another program, the internet or a previously exported 
    Bible from OpenLP. :ref:`import_bibles`

**Export:** 
  Provides the items you can export.

  **Settings:** 
    Export your configurable settings to a file to import to another computer. 
    Learn more about :ref:`backing_up`.

  **Theme:** 
    Export your theme. :ref:`export_themes`

  **Song:** 
    Export your songs. :ref:`export_songs`

**Print Service:** 
    Gives you the ability to print your service. :ref:`print_service`

|buttons_exit| **Exit:** 
    Closes OpenLP. If there is an open service that has not 
    been saved you will be prompted to do so.

.. _menu_items_view:

View
----

**Mode:** 
  These three settings are optimized for setup and live display.

  **Default:** 
    Displays all of the panels of OpenLP. 

  **Setup:** 
    Displays Preview, :ref:`media-manager` and :ref:`creating_service`.

  **Live:** 
    Displays the live panel and :ref:`creating_service`

Clicking on any of the next items will hide or show its respective panel.

|button_mediamanager| **Media Manager:** 
    Hide or show :ref:`media-manager`.

|button_projectormanager| **Projector Manager:** 
    Hide or show :ref:`projector`.

|button_servicemanager| **Service Manager:** 
    Hide or show :ref:`creating_service`.

|theme_new| **Theme Manager:** 
    Hide or show :ref:`themes`.

**Preview Panel:** 
    Hide or show the preview panel.

**Live Panel:** 
    Hide or show the live panel.

**Lock Panels:** 
    Using this lock will keep all your panel settings the way they 
    are when clicked, whether hidden or showing. Click this again to unlock the 
    panels.

Tools
-----

|buttons_open| **Open Data Folder:** 
    You can access your OpenLP data here. Your Bibles, songs, themes and other 
    items are stored here. 
  
**Note:** It is possible to delete a Bible, theme or another resource you need. 
If anything is deleted in this folder it is not recoverable through OpenLP.

|button_rerun| **Re-run First Time Wizard:** 
    This will bring up the dialog box to run the first time wizard again. :ref:`wizard`

**Update Theme Images:** 
    Changing screen resolution can have an affect on theme images. Use this to 
    correct the images. 

**Find Duplicate Songs:**
    Start wizard for detecting and removing duplicate songs.

|plugin_songs| **Re-index Songs:** 
    This rebuilds the internal song indexes to make them work following code 
    corrections. You would generally use this after a software upgrade.

**Song Usage Tracking:** 
  Configure your song usage tracking. :ref:`song_usage`

  **Toggle Tracking:** 
    Provides the means to turn song usage tracking on or off. There will be a 
    visible check mark if song usage tracking is on.

  **Extract Tracking Data:** 
    Brings up a dialog box to extract song usage data.

  **Delete Tracking Data:** 
    Brings up a dialog box to delete song usage data.

|plugin_alerts| **Alert:** Configure an alert. :ref:`alerts`

Settings
--------

|plugin_list| **Plugin List:** 
    Provides the configurable settings to control your plugin's. :ref:`plugin_list` 

**Language:** 
    You can choose another language here or leave it on Autodetect.

|button_tag| **Configure Formatting Tags:** 
    Provides the configurable settings for formatting tags. :ref:`formatting-tags`

|button_settings| **Configure Shortcuts:** 
    Provides the configurable settings for shortcuts. :ref:`shortcuts`

|button_configure| **Configure OpenLP:** 
    Provides the configurable settings for OpenLP. :ref:`configure`

Help
----

**Online Help:** 
    This is a direct link to OpenLP's operating manual.

**Web Site:** 
    This is a direct link to OpenLP's web site.

**About:** 
    Provides information, credits and license for OpenLP.


.. These are all the image templates that are used in this page.

.. |BUTTONS_NEW| image:: pics/buttons_new.png

.. |BUTTONS_OPEN| image:: pics/buttons_open.png

.. |BUTTONS_SAVE| image:: pics/service_save.png

.. |BUTTONS_EXIT| image:: pics/buttons_exit.png

.. |THEME_NEW| image:: pics/theme_new.png

.. |BUTTON_RERUN| image:: pics/button_rerun.png

.. |PLUGIN_ALERTS| image:: pics/plugin_alerts.png

.. |PLUGIN_SONGS| image:: pics/plugin_songs.png

.. |PLUGIN_LIST| image:: pics/plugin_list.png

.. |BUTTON_CONFIGURE| image:: pics/button_configure.png

.. |BUTTON_SETTINGS| image:: pics/configure_shortcuts_config.png

.. |BUTTON_TAG| image:: pics/button_tag.png

.. |BUTTON_MEDIAMANAGER| image:: pics/button_mediamanager.png

.. |BUTTON_SERVICEMANAGER| image:: pics/button_servicemanager.png

.. |BUTTON_PROJECTORMANAGER| image:: pics/button_projector_manager.png
